| 0.9.9 API documenation

Functions
matrix_interpolation.hpp File Reference

Go to the source code of this file.

## Functions
template<typename T , qualifier Q>
GLM_FUNC_DECL void | axisAngle (mat< 4, 4, T, Q > const &Mat, vec< 3, T, Q > &Axis, T &Angle)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | axisAngleMatrix (vec< 3, T, Q > const &Axis, T const Angle)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | extractMatrixRotation (mat< 4, 4, T, Q > const &Mat)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | interpolate (mat< 4, 4, T, Q > const &m1, mat< 4, 4, T, Q > const &m2, T const Delta)

## Detailed Description

GLM_GTX_matrix_interpolation

Author
  Ghenadii Ursachi (the.a.nosp@m.ster.nosp@m.oth@g.nosp@m.mail.nosp@m..com)

See also
  Core features (dependence)

Definition in file matrix_interpolation.hpp.